Package org.eclipse.microprofile.fault.tolerance.tck.interceptor

# Class InterceptorComponent

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.interceptor.InterceptorComponent

@ApplicationScoped public class InterceptorComponent extends Object
Component to show the CDI interceptor ordering with FT annotations

Author:
  carlosdlr

## Constructor Summary

Constructors
Constructor
Description
`InterceptorComponent()`

## Method Summary

Modifier and Type
Method
Description
`Future<String>`
`asyncGetString()`
`String`
`serviceRetryA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InterceptorComponent

public InterceptorComponent()

## Method Details

### serviceRetryA

@Retry(maxRetries=1) public String serviceRetryA()

### asyncGetString

@Asynchronous public Future<String> asyncGetString()